Subject: Re: bug#13668: 24.2.93; strike-through in org mode

From: Bastien <[email-masked]>
Date: Sun, 10 Feb 2013 05:25:20 +0100

Hi Roland,

"Roland Winkler" <[email-masked]> writes:

> visit the following org file with emacs -Q
>
> cat > foo.org <<EOF
> * foo
>   bar (+.2 to .5)
>   baz (+.2 to .5)
>
>   bar (+.2 to .5)
>   baz  +.2 to .5)
> EOF
>
> Why are part of the second and third line striked through?

Because "+" tries to add fontification.

> According to the org info pages there is some regexp-based feature
> of that kind. 

Yes, see `org-emphasis-regexp-components'.

> But it appears to me that this feature could use a
> more sophisticated regexp matcher. Note that the 5th and 6th line
> are not striked through.

Because the space isn't allowed within +...+ fontified constructs.

> Also, as an occassional org mode user without a need for very fancy
> things, I am wondering whether I can simply switch off such
> structural markup elements. 

(setq org-fontify-emphasized-text nil)

> The org info node on structural markup
> elements does not mention such a possibility. 

Mhh.. yes, I'll perhaps update the manual, or just add a Worg 
FAQ for this.

> I would prefer if, as a
> general strategy, the default values for such features were less
> aggressive.

We try to not make them agressive.  But the text you quoted above
looks like an example that could be in fixed-with block like this :

:  bar (+.2 to .5)
:  baz (+.2 to .5)

:  bar (+.2 to .5)
:  baz  +.2 to .5)

or in another block where *...* constructs are not fontified.

Thanks,

-- 
 Bastien